/**
 * @brief 测试蓝色节点触摸事件
 * @author Peng Chaowen
 * @web www.pcwen.top
 * @version 1.0
 * @date 2018/12/17
 */

cc.Class({
    extends: cc.Component,

    properties: {},

    onLoad() {
        //开启各种响应事件
        this.node.on(cc.Node.EventType.TOUCH_START, this.onTouchStart, this);
        this.node.on(cc.Node.EventType.TOUCH_END, this.onTouchEnd, this);
        this.node.on(cc.Node.EventType.TOUCH_MOVE, this.onTouchMove, this);
        this.node.on(cc.Node.EventType.TOUCH_CANCEL, this.onTouchCancel, this);
    },

    onDestroy() {
        //关闭响应事件
        this.node.off(cc.Node.EventType.TOUCH_START, onTouchStart, this);
        this.node.off(cc.Node.EventType.TOUCH_END, onTouchEnd, this);
        this.node.off(cc.Node.EventType.TOUCH_MOVE, onTouchMove, this);
        this.node.off(cc.Node.EventType.TOUCH_CANCEL, onTouchCancel, this);
    },

    //节点区域内触摸开始事件
    onTouchStart: function (event) {
        cc.log("event name:", event.type, "start point:", event.currentTouch._startPoint, " current point:", event.currentTouch._point);
    },

    //节点区域内/外触摸移动事件
    onTouchMove: function (event) {
        cc.log("event name:", event.type, "start point:", event.currentTouch._startPoint, " current point:", event.currentTouch._point);
    },

    //节点区域内触摸结束事件
    onTouchEnd: function (event) {
        cc.log("event name:", event.type, "start point:", event.currentTouch._startPoint, " current point:", event.currentTouch._point);
    },

    //节点区域外触摸结束事件
    onTouchCancel: function (event) {
        cc.log("event name:", event.type, "start point:", event.currentTouch._startPoint, " current: point", event.currentTouch._point);
    }
});
