"use strict";
cc._RF.push(module, 'f854a8tArdAF7My9NvInSPS', 'DeviceMotion');
// scripts/DeviceMotion.js

"use strict";

/**
 * @brief 重力传感响应事件
 * @author Peng Chaowen
 * @web www.pcwen.top
 * @version 1.0
 * @date 2018/12/17
 */

cc.Class({
    extends: cc.Component,

    properties: {},

    onLoad: function onLoad() {
        cc.systemEvent.setAccelerometerEnabled(false); //设置是否开启重力传感，这里设置为false为不开启
        cc.systemEvent.on(cc.SystemEvent.EventType.DEVICEMOTION, this.onDeviceMotionEvent, this); //注册重力传感响应事件
    },
    onDestroy: function onDestroy() {
        cc.systemEvent.off(cc.SystemEvent.EventType.DEVICEMOTION, this.onDeviceMotionEvent, this); //取消重力传感响应事件
    },


    //x,y,z方向的重力感应加速度
    onDeviceMotionEvent: function onDeviceMotionEvent(event) {
        cc.log("event name:", event.type, " acc x:", event.acc.x, " acc y:", event.acc.y, " acc z:", event.acc.z); //单位是g=9.8m/s^2
    }
});

cc._RF.pop();